pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1


abstract contract AccountsIndex {
        address[] public accounts;
        mapping(address => uint256) public accountsIndex;
        uint256 public count;

	event AccountAdded(address indexed addedAccount, uint256 indexed accountIndex);

	function addWriter(address _writer) public virtual returns (bool);
	function deleteWriter(address _writer) public virtual returns (bool);
	function add(address _account) external virtual returns (bool);
	function have(address _account) external virtual view returns (bool);
}
